@import url('./spinner.css');
@import url('./grid.css');
@import url('./forms.css');
@import url('./add123.css');

:root {
  --bs-body-font-size: 13px;
}

.header {
  padding: 8px;
  height: 50px;
  background-color: #3f4757;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 1000;
}

.header-search-box {
  position:fixed;
  left:260px;
  top:12px;
  z-index:3;
  background-color: white;
  font-size:0.9em;
}

.build-info {
  position:fixed;
  z-index:3;
  left:4px;
  bottom:20px;
  width:60px;
  text-align:center;
  font-size:10px;
}
.sidebar {
  background-color: #FAFAFA;
  position: fixed;
  height: 100vh;
  width: 80px;
  left: 0;
  z-index: 1;
  padding-top: 60px;
  padding-left: 2px;
  padding-bottom: 0;
  padding-right: 0;
  border-right: 1px solid #eee;

  box-shadow: rgba(0, 0, 0, 0.12) 0px 0px 2px 0px, rgba(0, 0, 0, 0.14) 0px 2px;
}

.sidebar .menu {
  text-align: center;
  padding: 4px;
  border-left: 2px solid #fff;
}

.sidebar .menu.active {
  border-left: 2px solid #5C6470;
  background-color: #fff;
}

.sidebar .menu:hover {
  background-color: #fff;
}

.sidebar a {
  color: rgb(97, 97, 97);
  text-decoration: none;
}

.sidebar .menu i {
  font-size: 20px;
  display: block;
}

.sidebar .menu:hover i {
  color: blue;
}

.sidebar .menu span {
  font-size: 11px;
  display: block;
}

.content {
  padding-left: 86px;
  padding-top: 60px;
}

.dirty {
  font-weight: bold;
  color: orange;
}

.text-error {
  color: red;
}

.text-warning {
  color: orange;
}

.text-info {
  color: blue;
}

.text-success {
  color: green;
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-justify {
  text-align: justify;
}

.text-upper {
  text-transform: uppercase;
}

.text-lower {
  text-transform: lowercase;
}

.text-proper {
  text-transform: capitalize;
}

.w-100,
.width-100 {
  width: 100%;
}

.w-50,
.width-50 {
  width: 100%;
}

.h-100,
.height-100 {
  height: 100%;
}

.h-50,
.height-50 {
  height: 100%;
}

.inline {
  display: inline;
}

.inline-block {
  display: inline-block;
}

.block {
  display: block;
}

.hidden {
  display: none;
}

.invisible {
  visibility: hidden;
}

.invisible {
  visibility: visible;
}

.absolute {
  position: absolute;
}

.relative {
  position: relative;
}

.i {
  font-style: italic;
}

.u {
  text-decoration: underline;
}

.del {
  text-decoration: line-through;
}

.nu {
  text-decoration: none;
}

.usd {
  position: relative;
}

.usd::before {
  content: '$';
  position: absolute;
  left: 4px;
  top: 3px;
  z-index: 30;
  color: #888;
}

.usd input {
  padding-left: 16px;
}

.no-ul {
  text-decoration: none;
}

.user-initials {
  border-radius:100%;
  border:1px solid #ddd;
  padding:6px;
  font-size:0.8em;
}

.font-lg {
  font-size:2.0em;
}

.lbl {
  font-size:10px;
  text-transform: uppercase;
  color:777;
}

.btn.btn-flat {
  border:1px solid #ddd !important;
  background-color:transparent !important;
}

.transparent {
  background-color: transparent;
}

.border-none, .no-border, .border-0 {
  border: 1px solid transparent;
}

.block {
  display:block;
}

.w-100 {
  width:100%;
}

.hand, .pointer {
  cursor: pointer;
}
a.hand, a.pointer {
  text-decoration: none;
}

.no-line {
  text-decoration: none;
}

.hover .hover-menu{
  visibility: hidden;
}

.hover:hover .hover-menu {
  visibility: visible;
}

.settings-menu li > a {text-decoration:none;}
.jobs-menu li > a {text-decoration:none;}

.text-black { color:black;}
.text-bold, .bold {font-weight: bold;}

.truncate, .truncated-text, .nowrap, .no-wrap {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.btn-viewer {
  padding:2px 5px;
  border-radius:8px;
  border:1px solid transparent;
  background-color:transparent;
  cursor:pointer;
}
.btn-viewer:hover {
  opacity:0.8;
  border-color: #3b82f6;
}

.deal-detail-nav ul.nav.nav-tabs {
  flex-wrap: nowrap !important;
}

.navs ul.nav-tabs > li {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.capitalize, .capitalized, .capitalize-first {
  text-transform: capitalize;
}
.upper, .uppercase {
  text-transform: uppercase;
}
.lower, .lowercase {
  text-transform: lowercase;
}